# spec file for prototype
#
# Copyright (c) 2013 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#

Name:         prototype
Version:      1.7.1.0
Release:      %mkrel 7
Summary:      JavaScript framework
Group:        Development/Other
License:      MIT
URL:          http://www.prototypejs.org/

# We cannot use the archive tarball from github
# as we don't have yet requirement for build (rake, sprockets)
Source0:      https://ajax.googleapis.com/ajax/libs/prototype/%{version}/prototype.js
Source1:      https://raw.github.com/sstephenson/prototype/master/LICENSE
Source2:      prototype.conf

BuildArch:    noarch


%description
Prototype is a JavaScript framework that aims to ease development of dynamic
web applications. It offers a familiar class-style OO framework, extensive
Ajax support, higher-order programming constructs, and easy DOM manipulation.

%package httpd
Summary:       Apache configuration for %{name}
Requires:      %{name} = %{version}-%{release}
#Requires:      httpd

%description   httpd
This package provides the Apache configuration for
applications using an Alias to prototype library.


%prep
%setup -qcT

cp -p %{SOURCE1} LICENSE


%build
# Nothing to build


%install
# JavaScript
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -p %{SOURCE0} %{buildroot}%{_datadir}/%{name}/%{name}.js

# Apache
mkdir -p %{buildroot}%webappconfdir
install -p -m 0644 %{SOURCE2} %{buildroot}%webappconfdir/%{name}.conf


%files
%doc LICENSE
%{_datadir}/%{name}


%files httpd
%config(noreplace) %webappconfdir/%{name}.conf



%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.7.1.0-7.mga9
+ Revision: 1806864
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.7.1.0-6.mga8
+ Revision: 1499289
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.7.1.0-5.mga7
+ Revision: 1274542
- Mageia 7 Mass Rebuild

* Mon Mar 14 2016 neoclust <neoclust> 1.7.1.0-4.mga6
+ Revision: 990514
- Fix apache config location
- imported package prototype

